Bug 526805 - Review Request: lua-loop - Class models for Lua
Summary: Review Request: lua-loop - Class models for Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-01 19:57 UTC by Michel Alexandre Salim
Modified: 2010-12-01 17:34 UTC (History)
2 users (show)

Fixed In Version: lua-loop-2.3-0.2.beta.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-26 21:05:23 UTC
Type: ---
j: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2009-10-01 19:57:05 UTC
Spec URL: http://salimma.fedorapeople.org/specs/funpl/lua-loop.spec
SRPM URL: http://salimma.fedorapeople.org/specs/funpl/lua-loop-2.3-0.1.beta.fc12.src.rpm
Description:
LOOP stands for Lua Object-Oriented Programming and is a set of
packages for supporting different models of object-oriented
programming in the Lua language.

LOOP models are mainly concerned with dynamicity, although there is an attempt to keep them as simple and efficient as possible. Additionally, LOOP uses fundamental Lua concepts like tables (objects) and meta-tables (classes),
traditionally used to enable an object-oriented programming style, to
provide a common ground for the interoperability of objects and
classes of its different models.

Comment 1 Jason Tibbitts 2010-11-02 19:30:49 UTC
Just going over the old review tickets.  This one builds fine and rpmlint is silent.  As expected for a ticket this old, there are some lines in the spec which are unnecessary on modern Fedora (BuildRoot, first line of %install, the entire %clean section) which I would recommend removing unless you plan to target EPEL with the same spec.

I see a comment "# for checks" but I don't see any checks enabled and I don't see anything that's obviously a test suite.  Is there one?

Do you think that preloader.lua and precompiler.lua, which aren't in the package-specific directory, are problematic?  They don't conflict with anything but the names do seem quite generic.  I don't know much about Lua, however, so I'll defer to you.

* source files match upstream.  sha256sum:
  2c9000f5744ca84b6c0d58bd8fb1d8d71c2841b01a75b3b201a486f88ffda864
   loop-2.3-beta.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
  lua-loop-2.3-0.1.beta.fc15.noarch.rpm
   lua-loop = 2.3-0.1.beta.fc15
  =
   /usr/bin/env  
   lua >= 5.1
   lua-lpeg >= 0.8.1

  lua-loop-doc-2.3-0.1.beta.fc15.noarch.rpm
   lua-loop-doc = 2.3-0.1.beta.fc15
  =
   lua-loop = 2.3-0.1.beta.fc15

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
? maybe generically named files
* code, not content.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Michel Alexandre Salim 2010-11-07 17:52:06 UTC
Thanks for the review!
EL-5 and EL-6 have reasonable Lua stacks, so (In reply to comment #1)
> Just going over the old review tickets.  This one builds fine and rpmlint is
> silent.  As expected for a ticket this old, there are some lines in the spec
> which are unnecessary on modern Fedora (BuildRoot, first line of %install, the
> entire %clean section) which I would recommend removing unless you plan to
> target EPEL with the same spec.
> 
EL-5 and -6 have decent Lua stacks (though -5 is a bit buggy right now), so it'd be nice to have this package there, yes.

> I see a comment "# for checks" but I don't see any checks enabled and I don't
> see anything that's obviously a test suite.  Is there one?
>
Will investigate -- it's been a while! I suspect it comes from another Lua spec, for a package that does have a test suite.
 
> Do you think that preloader.lua and precompiler.lua, which aren't in the
> package-specific directory, are problematic?  They don't conflict with anything
> but the names do seem quite generic.  I don't know much about Lua, however, so
> I'll defer to you.
I'll compare it with the packaging done for LuaRocks (Lua's equivalent of CPAN) and get back to you.

Comment 3 Michel Alexandre Salim 2010-11-07 18:18:03 UTC
Spec URL: http://salimma.fedorapeople.org/specs/funpl/lua-loop.spec
SRPM URL:
http://salimma.fedorapeople.org/specs/funpl/lua-loop-2.3-0.2.beta.fc14.src.rpm

Updated:
- scripts now installed in %%{_bindir}
  I contemplated giving them a loop- prefix, but then LuaRocks install them
  unprefixed, and they are generic enough to be usable to interoperate between
  C code and *any* Lua module, not just loop.

  One would assume that if there is any naming conflict, someone would have
  fixed the Rocks specification by now!

- remove unneeded dependencies

Comment 4 Jason Tibbitts 2010-11-16 00:37:24 UTC
Looks good, thanks.

APPROVED

Comment 5 Michel Alexandre Salim 2010-11-16 08:07:57 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: lua-loop
Short Description: Class models for Lua
Owners: salimma
Branches: el5 el6 f13 f14
InitialCC:

Comment 6 Jason Tibbitts 2010-11-16 13:05:24 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2010-11-16 14:04:25 UTC
lua-loop-2.3-0.2.beta.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lua-loop-2.3-0.2.beta.fc13

Comment 8 Fedora Update System 2010-11-16 14:04:31 UTC
lua-loop-2.3-0.2.beta.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lua-loop-2.3-0.2.beta.fc14

Comment 9 Fedora Update System 2010-11-16 14:04:38 UTC
lua-loop-2.3-0.2.beta.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lua-loop-2.3-0.2.beta.el5

Comment 10 Fedora Update System 2010-11-16 17:30:48 UTC
lua-loop-2.3-0.2.beta.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lua-loop'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lua-loop-2.3-0.2.beta.el5

Comment 11 Fedora Update System 2010-11-26 21:05:17 UTC
lua-loop-2.3-0.2.beta.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-26 21:07:22 UTC
lua-loop-2.3-0.2.beta.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-12-01 17:34:50 UTC
lua-loop-2.3-0.2.beta.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.